﻿using ProjectAnalogParus.Properties;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для AthorizationPage.xaml
    /// </summary>
    public partial class AthorizationPage : Page
    {
        public AthorizationPage()
        {
            InitializeComponent();
            gr672_bdaEntities db = new gr672_bdaEntities();   

        }

        private void AthorizationClick(object sender, RoutedEventArgs e)
        {
            if (login.Text == string.Empty || password.Password == string.Empty)
            {
                MessageBox.Show("Ключевые поля не заполнены");               
            }
            using (var db = new gr672_bdaEntities())
            {
                var user = db.User
                .AsNoTracking()
                .FirstOrDefault(u => u.NameUser == login.Text && u.Password == password.Password);
                if (user == null)
                {
                    MessageBox.Show("Пользователь с таким именем не найден!");
                    
                }

                int idUser = user.IdUser;
                Application.Current.Properties["IdUser"] = idUser;
                switch (user.Role.IdRole)
                {
                    case 1:
                        FramePage.MainFrame.Navigate(new AdminPage());
                        break;
                    case 2:
                        FramePage.MainFrame.Navigate(new BookerPage());
                        break;                    
                }          



            }

        }


    }
}
