﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для DeleteEncouragementWindow.xaml
    /// </summary>
    public partial class DeleteEncouragementWindow : Window
    {
        public DeleteEncouragementWindow()
        {
            InitializeComponent();
            gr672_bdaEntities db = new gr672_bdaEntities();
            cmbEncouragement.ItemsSource = db.TypeEncouragement.ToList();
            cmbEncouragement.DisplayMemberPath = "NameTypeEncouragement";
            cmbEncouragement.SelectedValuePath = "IdTypeEncouragement"; 
        }

        private void DeleteClick(object sender, RoutedEventArgs e)
        {
            gr672_bdaEntities db = new gr672_bdaEntities();
            int num = Convert.ToInt32(cmbEncouragement.SelectedValue.ToString());
            var dRow = db.Encouragement.Where(w => w.IdEncouragement == num).FirstOrDefault();
            var bRow = db.TypeEncouragement.Where(w => w.IdTypeEncouragement == num).FirstOrDefault();
            db.Encouragement.Remove(dRow);
            db.TypeEncouragement.Remove(bRow);
            db.SaveChanges();
            
        }

        private void CancelClick(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
