﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для EncouragementSummaPage.xaml
    /// </summary>
    public partial class EncouragementSummaPage : Page
    {
        gr672_bdaEntities db = new gr672_bdaEntities();
    
        public EncouragementSummaPage()
        {
            InitializeComponent();

            cmbStudent.ItemsSource = db.Student.ToList();         
            cmbStudent.SelectedValuePath = "IdStudent";

            cmbScholarship.ItemsSource = db.Scholarship.ToList();
            cmbScholarship.DisplayMemberPath = "NameScholarship";
            cmbScholarship.SelectedValuePath = "IdScholarship";

            cmbUser.ItemsSource = db.User.ToList();
            cmbUser.DisplayMemberPath = "FullNameUser";
            cmbUser.SelectedValuePath = "IdUser";

            cmbEncoragement.ItemsSource = db.TypeEncouragement.ToList();
            cmbEncoragement.DisplayMemberPath = "NameTypeEncouragement";
            cmbEncoragement.SelectedValuePath = "IdTypeEncouragement";
        }        

        private void SummaClick(object sender, RoutedEventArgs e)
        {
           
        }
    }
}
