﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ProjectAnalogParus
{
    /// <summary>
    /// Логика взаимодействия для InsertUserWindow.xaml
    /// </summary>
    public partial class InsertUserWindow : Window
    {
        public InsertUserWindow()
        {
            InitializeComponent();
            gr672_bdaEntities db = new gr672_bdaEntities();
            role.ItemsSource = db.Role.ToList();
            role.DisplayMemberPath = "NameRole";
            role.SelectedValuePath = "IdRole";
        }

        private void InsertClick(object sender, RoutedEventArgs e)
        {
            gr672_bdaEntities db = new gr672_bdaEntities();
            User user = new User();
            user.NameUser = userName.Text;
            user.FullNameUser = fullName.Text;
            user.Password = password.Text;
            user.RoleId = Convert.ToInt32(role.SelectedValue.ToString());
            db.User.Add(user);
            db.SaveChanges();          
            
        }

        private void CancelClick(object sender, RoutedEventArgs e)
        {            
            this.Close();
        }
    }
}
